package admin

import (
	"code.gitea.io/gitea/models"
	"code.gitea.io/gitea/modules/context"
	"code.gitea.io/gitea/routers/response"
	"code.gitea.io/gitea/services/role"
	"net/http"
)

func AddUserRole(ctx *context.APIContext, form models.OperateRoleReq) {
	user, err := models.GetUserByName(form.UserName)
	if err != nil {
		ctx.JSON(http.StatusOK, response.OuterServerError("User not exists"))
		return
	}
	err = role.AddUserRole(user.ID, form.RoleType)
	if err != nil {
		ctx.JSON(http.StatusOK, response.OuterResponseError(err))
		return
	}
	ctx.JSON(http.StatusOK, response.OuterSuccess())
}
func DeleteUserRole(ctx *context.APIContext, form models.OperateRoleReq) {
	user, err := models.GetUserByName(form.UserName)
	if err != nil {
		ctx.JSON(http.StatusOK, response.OuterServerError("User not exists"))
		return
	}
	err = role.DeleteUserRole(user.ID, form.RoleType)
	if err != nil {
		ctx.JSON(http.StatusOK, response.OuterResponseError(err))
		return
	}
	ctx.JSON(http.StatusOK, response.OuterSuccess())
}
